# $Id: vkc.properties.tmpl,v 1.22 2005/02/14 14:03:27 bigmac Exp $
#
# $Log: vkc.properties.tmpl,v $
# Revision 1.22  2005/02/14 14:03:27  bigmac
# *** empty log message ***
#
# Revision 1.21  2005/01/13 03:08:58  jonyp
# - added some comments
# - default isolation level is 2
#
# Revision 1.19  2004/11/30 13:38:18  jonyp
# commented out everything concerning vkc.db.pool.*
#
# Revision 1.18  2004/11/29 08:59:33  lawern
# Property vkc.db.pool.prepStmtMaxSize eingefügt.
#
# Revision 1.15  2004/11/25 11:23:20  jonyp
# added properties for connection pool management (validationQuery)
#
# Revision 1.14  2004/11/24 13:41:42  lawern
# #vkc.db.pool_size		=100 eingefügt
#
# Revision 1.9  2004/11/22 16:56:57  jonyp
# added some new parameters for connection pooling (dbcp)
#
# Revision 1.8  2004/11/22 16:31:17  jonyp
# *** empty log message ***
#
#

#
# *** template configuration file for vkc ***
#

#
# vkc specifics 
#

# version description 
vkc.version         = 5.1.0 / 2.2.2011
vkc.server.id       = 1
vkc.server.port     = 7000
vkc.server.hostname = 127.0.0.1
vkc.server.loadfactor = 1

# next key is optional ! 
# if not given login page from sysParameters("LOGIN", "DefaultLoginPage") 
# or WebShare.LOGIN_PAGE
# vkc.server.defaultLoginPage = /common/Login.jsp

#
# Shark Workflow
#
# vkc.workflow.enabled=true
# vkc.workflow.host   =localhost
# vkc.workflow.port   =10123
# vkc.workflow.engine =Shark
# WorkflowServiceClass=vkc.workflow.service.CORBAWorkflowService

#
# connection management 
#

# connection parameters for interbase db
vkc.db.url            = jdbc:firebirdsql:127.0.0.1/3050:D:/development/vkc/db/vkc5.gdb
vkc.db.driver_class   = org.firebirdsql.jdbc.FBDriver

# connection parameters for oracle db (example)
# vkc.db.url            = jdbc\:oracle\:thin\:@broome\:1521:\ORCL9i2
# general syntax for oracle-db
# vkc.db.url            = jdbc\:oracle\:thin\:@<hostname>\:1521:\<servericename>
# vkc.db.driver_class   = oracle.jdbc.driver.OracleDriver

# user data for given db
vkc.db.username       = sysdba
vkc.db.password       = masterkey


# connection isolation level
#
# ATTENTION: do NOT use isoLevel 8 with oracle-db because it's not supported !!!

# 0 = NONE             ==> transactions are not supported
# 1 = READ_UNCOMMITTED ==> dirty reads are prevented; non-repeatable reads and phantom reads can occur
# 2 = READ_COMMITTED   ==> dirty reads, non-repeatable reads and phantom reads can occur
# 4 = REPEATABLE_READ  ==> dirty reads and non-repeatable reads are prevented; phantom reads can occur
# 8 = SERIALIZABLE     ==> dirty reads, non-repeatable reads and phantom reads are prevented  
vkc.db.isolation = 2


#
# connection pool management
#

# connection pool size maximum
# vkc.db.pool.maxSize	        = 10

# prepared statement pool size maximum
# vkc.db.pool.prepStmtMaxSize	= 100;

# query to validate db's health
# vkc.db.pool.validationQuery = SELECT name FROM aclTypes WHERE aclTypeId = 1 

# checks, if connection borrowed from pool is alive
# vkc.db.pool.testOnBorrow    = true

# checks, if connection returned to pool is alive
# vkc.db.pool.testOnReturn  = false

# checks, if idle connections in pool are alive
# vkc.db.pool.testWhileIdle = false

# time between checks of idle connections in milli seconds(vkc.db.pool.testWhileIdle); here: 5 sec
# vkc.db.timeBetweenEvictionRunsMillis = 5000


#
# oracle specifics 
# used for altering session parameters within getConnection-method
# only needed when oracle driver is used
#
# SEEMS to be obsolete by 10.1.2005 because sql statements are done via prepared-statements
# keept here for compatibility reasons !!!

# timestamp format
# oracle.timestampFormat = YYYY-MM-DD HH24:MI:SSXFF

# numeric characters
# oracle.numericCharacters = .,


#
# enable ProjectCollaborationBase (result of virtoWeb-project)
#

# virtoweb = true

# context relative path to application-wide CSS
vkc.application.css = /templates/default/vkc.css
